%global tarname Locale-gettext

Summary:       Interface to gettext family of functions
Name:          perl-gettext
Version:       1.07
Release:       7%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/gettext
Source0:       https://cpan.metacpan.org/authors/id/P/PV/PVANDRY/%{tarname}-%{version}.tar.gz

BuildRequires: make gcc make
BuildRequires: perl perl-devel perl-generators perl(ExtUtils::MakeMaker) gettext
BuildRequires: perl(Carp) perl(Exporter) perl(DynaLoader) perl(POSIX) perl(Encode) perl(Test)

%description
The gettext module permits access from perl to the gettext() family of functions for retrieving
message strings from databases constructed to internationalize software.


%package -n perl-%{tarname}
Summary:   Interface to gettext family of functions

%description -n perl-%{tarname}
The gettext module permits access from perl to the gettext() family of functions for retrieving
message strings from databases constructed to internationalize software.

%prep
%autosetup -n %{tarname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files -n perl-%{tarname}
%doc README
%{perl_vendorarch}/auto/Locale
%{perl_vendorarch}/Locale
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.07-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 Shuo Wang <abushwang@tencent.com> - 1.07-1
- initial build
